package com.palacesun.masking.entity.orm.table.core.strategy.audit.app;

public class AuditAppDataRule {
   private String id;
   private String name;
   private String datasourceid;
   private String rulename;
   private String type;
   private String belongtogroup;
   private String remark;
   private String desensitizationexpression;
   private String auditswitch;

   public String getRulename() {
      return this.rulename;
   }

   public void setRulename(String rulename) {
      this.rulename = rulename;
   }

   public String getType() {
      return this.type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getBelongtogroup() {
      return this.belongtogroup;
   }

   public void setBelongtogroup(String belongtogroup) {
      this.belongtogroup = belongtogroup;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getDesensitizationexpression() {
      return this.desensitizationexpression;
   }

   public void setDesensitizationexpression(String desensitizationexpression) {
      this.desensitizationexpression = desensitizationexpression;
   }

   public String getAuditswitch() {
      return this.auditswitch;
   }

   public void setAuditswitch(String auditswitch) {
      this.auditswitch = auditswitch;
   }

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getDatasourceid() {
      return this.datasourceid;
   }

   public void setDatasourceid(String datasourceid) {
      this.datasourceid = datasourceid;
   }

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id;
   }
}
